pl_syscalls.d(1m)

NAME
pl_syscalls.d - count Perl subroutine calls and syscalls using DTrace.

SYNOPSIS
pl_syscalls.d { -p PID | -c cmd }

DESCRIPTION
Filename and subroutine names are printed if available. The filename for syscalls may be printed as "perl", if the program was invoked using the form "perl filename" rather than running the program with an interpreter line.

OS
Any

STABILITY
Evolving - uses the DTrace Perl provider, which may change as additional features are introduced. Check Perl/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # pl_syscalls.d

FIELDS

FILE
    Filename of the Perl program

TYPE
    Type of call (sub/syscall)

NAME
    Name of call

COUNT
    Number of calls during sample

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
pl_syscalls.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)